regina::BlockedSFSLoop Class Reference
Standard Triangulations and Subcomplexes

Represents a blocked Seifert fibred space with two boundary tori that are joined together. More...

`#include <subcomplex/blockedsfsloop.h>`

Inheritance diagram for regina::BlockedSFSLoop:

## Public Member Functions

| ~BlockedSFSLoop ()
| Destroys this structure and its constituent components. More...
const SatRegion & | region () const
| Returns details of the saturated region from which this triangulation is formed. More...
const Matrix2 & | matchingReln () const
| Returns the matrix describing how the two torus boundaries of the saturated region are joined. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static BlockedSFSLoop * | isBlockedSFSLoop (Triangulation< 3 > *tri)
| Determines if the given triangulation is a blocked Seifert fibred space with identified boundaries, as described by this class. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Represents a blocked Seifert fibred space with two boundary tori that are joined together.

This is a particular type of triangulation of a graph manifold, formed from a single saturated region whose two torus boundaries are identified. An optional layering may be placed between the two torus boundaries to allow for a more interesting relationship between the two sets of boundary curves. For more detail on saturated regions and their constituent saturated blocks, see the SatRegion class; for more detail on layerings, see the Layering class.

The saturated region may have two boundary components formed from one saturated annulus each. Alternatively, it may have one boundary formed from two saturated annuli, where this boundary is pinched together so that each annulus becomes a two-sided torus (both of which are later joined together). None of the boundary components (or the two-sided tori discussed above) may be twisted (i.e., they must be tori, not Klein bottles).

The way in which the two torus boundaries are identified is specified by a 2-by-2 matrix, which expresses curves representing the fibres and base orbifold on the second boundary in terms of such curves on the first boundary (see the page on Notation for Seifert fibred spaces for terminology).

More specifically, suppose that f0 and o0 are directed curves on the first boundary torus and f1 and o1 are directed curves on the second boundary torus, where f0 and f1 represent the fibres of the region and o0 and o1 represent the base orbifold. Then the boundaries are joined according to the following relation:

        [f1]       [f0]
        [  ] = M * [  ]
        [o1]       [o0]

If a layering is present between the two torus boundaries, then the corresponding boundary curves are not identified directly. In this case, the matrix M shows how the layering relates the curves on each boundary.

Note that the routines writeName() and writeTeXName() do not offer enough information to uniquely identify the triangulation, since this essentially requires 2-dimensional assemblings of saturated blocks. For full details, writeTextLong() may be used instead.

The optional StandardTriangulation routine manifold() is implemented for this class, but homology() is not.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/blockedsfsloop.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).